popper.js怎么下载

popper.js在bootstrap 4.0中得到了使用,但是因为网络原因可能会出现dropdown找不到popper.js的问题?

dropdown 找不到popper.js 的解决方案:popper.js怎么下载?

最近项目中升级bootstrap 由3.3.7版 升了4.0版本

发现 dropdown 找不到popper.js

解决办法:npm install -save popper

下载完之后,查看node_modules文件 的dist 目录

根目录下有两个目录,一个是umd 另一个esm 除此之外 根目录下还有 popper.js

如果是 <script type="text/javascript"> 的加载方式,可以直接使用umd目录下的popper.js

如果是<script type="module"> 的方使,可以直接使用esm目录下的popper.js,当然bootstrap.js 也要用module的方式加载。esm 应该是指es6 module

以上就是popper.js怎么下载的详细内容,更多请关注www.zhongjianghua.com其它相关文章!

为您推荐

发表评论

电子邮件地址不会被公开。 必填项已用*标注